﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace ResumeExploration
{
    public partial class MainForm : Form
    {
        int maxButton = 880;
        int widthButton = 25;
        int heightButton = 10;
        int margin = 400;
        Button[] buttons;

        int offsetX = 0;
        int offsetY = 0;
        public MainForm()
        {
            InitializeComponent();
            buttons = new Button[maxButton];
            for (int i = 0; i < maxButton; i++)
            {
                buttons[i] = new Button();
                buttons[i].Width = widthButton - 1;
                buttons[i].Height = heightButton - 1;
                buttons[i].Left = offsetX;
                buttons[i].Top = offsetY;
                buttons[i].Anchor = AnchorStyles.Right;

                this.Controls.Add(buttons[i]);

                offsetX += widthButton; 
                if (offsetX >= margin)
                {
                    offsetX = 0;
                    offsetY += heightButton;
                }
            }
        }
 
        protected override void OnResizeBegin(EventArgs e)
        {
            if (checkBoxSuspend.Checked)
            {
                SuspendLayout();
            }
            base.OnResizeBegin(e);
        }

        protected override void OnResizeEnd(EventArgs e)
        {
            if (checkBoxSuspend.Checked)
            {
                ResumeLayout(checkBoxResumeTrue.Checked);
            }
            base.OnResizeEnd(e);
        }
  
        private void MainForm_Resize(object sender, EventArgs e)
        {



        }
    }
}
